import { defineComponent as p, computed as u, renderSlot as c, normalizeProps as s, guardReactiveProps as a } from "vue";
import { FormItemInputContext as m } from "@aplus-frontend/antdv/es/form/FormItemContext";
const f = /* @__PURE__ */ p({
  name: "ApFormControlRender",
  __name: "control",
  props: {
    value: {},
    "onUpdate:value": { type: Function },
    bordered: { type: Boolean },
    onFocus: { type: Function },
    onBlur: { type: Function }
  },
  setup(e) {
    const o = e, t = m.useInject(), n = u(() => ({
      ...t,
      ...o
    }));
    return (r, l) => c(r.$slots, "default", s(a(n.value)));
  }
});
export {
  f as default
};
